import { defineConfig } from "vite";
import react from "@vitejs/plugin-react";

export default defineConfig({
    plugins: [react()],
    css: {
        postcss: "./postcss.config.js",
    },
    build: {
        rollupOptions: {
            output: {
                manualChunks: {
                    "react-vendor": ["react", "react-dom"],
                    "animation-vendor": ["three", "styled-components", "framer-motion"],
                },
                assetFileNames: ({ name }) => {
                    if (name && name.match(/\.(png|jpe?g|svg|gif|webp)$/)) {
                        return "assets/images/[name][extname]";
                    }
                    return "assets/[name]-[hash][extname]";
                },
            },
        },
    },
});